Basic Transit
Explore our Transit API's Basic Transit feature for insights on planetary transits over natal charts, highlighting key astrological events and their potential impacts without personalized forecasts.
Step by Step Basic Transit API Postman Testing Integration
Supported Language Codes
Support Article URL: Translating a Natal API into a Different Language
| Code | Language |
|---|---|
| en | English |
| hi | Hindi |
| pt | Portuguese |
| fr | French |
| de | German |
| ja | Japanese |
| tr | Turkish |
| ru | Russian |
| it | Italian |
| es | Spanish |
| nl | Dutch |
| pl | Polish |
Guide: These languages are supported by this API. You can use them by passing "lan" in the body with the corresponding value.
House System Codes
Support Article URL: How to Change the House System Code in Natal Astrology
| Code | House System Name |
|---|---|
| P | Placidus |
| K | Koch |
| R | Regiomontanus |
| C | Campanus |
| A | Equal |
| W | Equal, Whole Sign |
| N | Whole Sign, Aries = 1st House |
| X | Axial Rotation System / Meridian Houses |
| T | Polich/Page (“Topocentric”) |
| M | Morinus |
| O | Porphyry |
| B | Alcabitius |
| D | Equal / MC |
| E | Equal = A |
| F | Carter Poli-Equatorial |
| G | 36 Gauquelin Sectors |
| H | Horizon / Azimuth |
| I | Sunshine |
| i | Sunshine (Alternative) |
| L | Pullen S-Delta |
| Q | Pullen S-Ratio |
| S | Sripati |
| U | Krusinski-Pisa-Goelzer |
| V | Equal Vehlow |
| Y | APC Houses |
Note: The default house system used is P – Placidus.
API Endpoint
POST https://astroapi-4.divineapi.com/western-api/v1/transit/basic
Response: Returns Basic Transit in response.
Headers
| Name | Type | Description |
|---|---|---|
| Authorization* | String | Your API access token. Example: Bearer {token} |
Request Body
| Name | Type | Description |
|---|---|---|
| api_key* | String | Your API key |
| full_name* | String | Full name (e.g., Rahul Kumar) |
| day* | Integer | Date of birth (e.g., 24) |
| month* | Integer | Month of birth (e.g., 05) |
| year* | Integer | Year of birth (e.g., 2023) |
| hour* | Integer | Hour (e.g., 14) |
| min* | Integer | Minute (e.g., 40) |
| sec* | Integer | Second (e.g., 43) |
| gender* | String | Gender (e.g., male) |
| place* | String | Place (e.g., New Delhi) |
| lat* | Float | Latitude (e.g., 28.7041) |
| lon* | Float | Longitude (e.g., 77.1025) |
| tzone* | Float | Timezone (e.g., 5.5). Timezone List |
| lan | String | Language code (default: en) |
| transit_day* | String | Transit day (e.g., 10) |
| transit_month* | String | Transit month (e.g., 02) |
| transit_year* | String | Transit year (e.g., 2024) |
| transit_hour* | String | Transit hour (e.g., 18) |
| transit_min* | String | Transit minute (e.g., 10) |
| transit_sec* | String | Transit second (e.g., 05) |
| house_system | String | House system code (default: P) |
200: OK Basic Transit fetched successfully
{
"success": 1,
"data": [
{
"natal_planet": "Ascendant",
"transit_planet": "Mercury",
"orb": 2.62,
"aspect": "Trine"
},
{
"natal_planet": "Moon",
"transit_planet": "Mars",
"orb": 0.61,
"aspect": "Opposition"
},
{
"natal_planet": "Moon",
"transit_planet": "Venus",
"orb": 4.9,
"aspect": "Opposition"
},
{
"natal_planet": "Moon",
"transit_planet": "South node",
"orb": 8.57,
"aspect": "Square"
},
{
"natal_planet": "Mars",
"transit_planet": "Mercury",
"orb": 6.2,
"aspect": "Opposition"
},
{
"natal_planet": "Mars",
"transit_planet": "Pluto",
"orb": 1.48,
"aspect": "Opposition"
},
{
"natal_planet": "Mercury",
"transit_planet": "Jupiter",
"orb": 0.64,
"aspect": "Conjunction"
},
{
"natal_planet": "Venus",
"transit_planet": "Venus",
"orb": 4.5,
"aspect": "Opposition"
},
{
"natal_planet": "Venus",
"transit_planet": "South node",
"orb": 0.83,
"aspect": "Square"
},
{
"natal_planet": "Saturn",
"transit_planet": "Jupiter",
"orb": 1.66,
"aspect": "Sextile"
},
{
"natal_planet": "Saturn",
"transit_planet": "Saturn",
"orb": 0.83,
"aspect": "Conjunction"
},
{
"natal_planet": "North node",
"transit_planet": "Jupiter",
"orb": 5.77,
"aspect": "Conjunction"
},
{
"natal_planet": "South node",
"transit_planet": "Mercury",
"orb": 5.73,
"aspect": "Square"
},
{
"natal_planet": "South node",
"transit_planet": "Jupiter",
"orb": 5.77,
"aspect": "Opposition"
},
{
"natal_planet": "South node",
"transit_planet": "Saturn",
"orb": 4.94,
"aspect": "Trine"
},
{
"natal_planet": "South node",
"transit_planet": "Pluto",
"orb": 1.96,
"aspect": "Square"
},
{
"natal_planet": "Uranus",
"transit_planet": "Ascendant",
"orb": 2.92,
"aspect": "Square"
},
{
"natal_planet": "Uranus",
"transit_planet": "Uranus",
"orb": 0.6,
"aspect": "Conjunction"
},
{
"natal_planet": "Uranus",
"transit_planet": "MC",
"orb": 0.1,
"aspect": "Conjunction"
},
{
"natal_planet": "Neptune",
"transit_planet": "Neptune",
"orb": 1.25,
"aspect": "Conjunction"
},
{
"natal_planet": "Pluto",
"transit_planet": "Pluto",
"orb": 0.41,
"aspect": "Conjunction"
},
{
"natal_planet": "Chiron",
"transit_planet": "North node",
"orb": 0.24,
"aspect": "Conjunction"
},
{
"natal_planet": "Chiron",
"transit_planet": "South node",
"orb": 0.24,
"aspect": "Opposition"
},
{
"natal_planet": "Chiron",
"transit_planet": "Chiron",
"orb": 2.13,
"aspect": "Conjunction"
}
]
}Example Code Implementations
Below are example implementations in various programming environments.
cURL
curl --location 'https://astroapi-4.divineapi.com/western-api/v1/transit/basic' \
--header 'Authorization: Bearer {Your Auth Token}' \
--form 'api_key="{Your API Key}"' \
--form 'full_name="Test"' \
--form 'day="24"' \
--form 'month="05"' \
--form 'year="2023"' \
--form 'hour="14"' \
--form 'min="40"' \
--form 'sec="43"' \
--form 'gender="male"' \
--form 'place="New Delhi"' \
--form 'lat="28.7041"' \
--form 'lon="77.1025"' \
--form 'tzone="5.5"' \
--form 'lan="en"' \
--form 'transit_day="10"' \
--form 'transit_month="02"' \
--form 'transit_year="2024"' \
--form 'transit_hour="18"' \
--form 'transit_min="10"' \
--form 'transit_sec="05"'
NodeJS
var request = require('request');
var options = {
'method': 'POST',
'url': 'https://astroapi-4.divineapi.com/western-api/v1/transit/basic',
'headers': {
'Authorization': 'Bearer {Your Auth Token}'
},
formData: {
'api_key': '{Your API Key}',
'full_name': 'Test',
'day': '24',
'month': '05',
'year': '2023',
'hour': '14',
'min': '40',
'sec': '43',
'gender': 'male',
'place': 'New Delhi',
'lat': '28.7041',
'lon': '77.1025',
'tzone': '5.5',
'lan': 'en',
'transit_day': '10',
'transit_month': '02',
'transit_year': '2024',
'transit_hour': '18',
'transit_min': '10',
'transit_sec': '05'
}
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
JavaScript jQuery AJAX
var form = new FormData();
form.append("api_key", "{Your API Key}");
form.append("full_name", "Test");
form.append("day", "24");
form.append("month", "05");
form.append("year", "2023");
form.append("hour", "14");
form.append("min", "40");
form.append("sec", "43");
form.append("gender", "male");
form.append("place", "New Delhi");
form.append("lat", "28.7041");
form.append("lon", "77.1025");
form.append("tzone", "5.5");
form.append("lan", "en");
form.append("transit_day", "10");
form.append("transit_month", "02");
form.append("transit_year", "2024");
form.append("transit_hour", "18");
form.append("transit_min", "10");
form.append("transit_sec", "05");
var settings = {
"url": "https://astroapi-4.divineapi.com/western-api/v1/transit/basic",
"method": "POST",
"timeout": 0,
"headers": {
"Authorization": "Bearer {Your Auth Token}"
},
"processData": false,
"mimeType": "multipart/form-data",
"contentType": false,
"data": form
};
$.ajax(settings).done(function (response) {
console.log(response);
});Python
import requests
url = "https://astroapi-4.divineapi.com/western-api/v1/transit/basic"
payload = {'api_key': '{Your API Key}',
'full_name': 'Test',
'day': '24',
'month': '05',
'year': '2023',
'hour': '14',
'min': '40',
'sec': '43',
'gender': 'male',
'place': 'New Delhi',
'lat': '28.7041',
'lon': '77.1025',
'tzone': '5.5',
'lan': 'en',
'transit_day': '10',
'transit_month': '02',
'transit_year': '2024',
'transit_hour': '18',
'transit_min': '10',
'transit_sec': '05'}
files=[
]
headers = {
'Authorization': 'Bearer {Your Auth Token}'
}
response = requests.request("POST", url, headers=headers, data=payload, files=files)
print(response.text)
Use Authorization: Bearer {Your Auth Token} and {Your API Key} securely; never expose them in client-side code.
Provide date, time, and coordinates in correct numeric formats; use decimal timezone values (e.g., 5.5).
Check HTTP status codes, log responses, and handle 4xx/5xx errors gracefully.
Defaults are lan=en and house_system=P; test via Postman first and always use HTTPS for secure communication.